SDL_FOURCC(3)

NAME
SDL_FOURCC - Define a four character code as a Uint32 .

HEADER FILE
Defined in SDL3/SDL_stdinc.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_FOURCC(A, B, C, D) .BI ((SDL_static_cast(Uint32,SDL_static_cast(Uint8,(A)))<<0)|.BI     (SDL_static_cast(Uint32, SDL_static_cast(Uint8, (B))) << 8) | .BI (SDL_static_cast(Uint32,SDL_static_cast(Uint8,(C)))<<16)|.BI     (SDL_static_cast(Uint32, SDL_static_cast(Uint8, (D))) << 24))

RETURN VALUE
Returns the four characters converted into a Uint32 , one character per-byte.

THREAD SAFETY
It is safe to call this macro from any thread.

AVAILABILITY
This macro is available since SDL 3.2.0.